/*
 * blancoDb Enterprise Edition
 * Copyright (C) 2004-2005 Tosiki Iga
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.util;

import java.sql.SQLException;

import blanco.db.exception.IntegrityConstraintException;

/**
 * blancoDbが利用するユーティリティクラス <br>
 * クラス間で共通化して利用する処理をここに記載します。 <br>
 * ※このクラスは、ソースコード自動生成後のファイルとして利用されます。
 * 
 * @author Tosiki Iga
 */
public class BlancoDbUtil {

    public final static boolean isIntegrityConstraintException(
            SQLException originalException) {
        String sqlState = originalException.getSQLState();
        if (sqlState != null && sqlState.startsWith("23")) {
            return true;
        }
        return false;
    }

    public final static void throwIntegrityConstraintException(
            SQLException originalException)
            throws IntegrityConstraintException {
        IntegrityConstraintException ex = new IntegrityConstraintException(
                "制約違反により変更に失敗しました。:" + originalException.toString(),
                originalException.getSQLState(), originalException
                        .getErrorCode());
        ex.initCause(originalException);
        throw ex;
    }

    /**
     * TimestampをDateに変換します
     * 
     * @param aTimestamp
     * @return
     */
    public final static java.util.Date convertTimestampToDate(
            java.sql.Timestamp aTimestamp) {
        if (aTimestamp == null) {
            return null;
        }
        return new java.util.Date(aTimestamp.getTime());
    }
}